@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  stagemonitor-os startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and STAGEMONITOR_OS_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\stagemonitor-os-0.87.8.jar;%APP_HOME%\lib\stagemonitor-core-0.87.8.jar;%APP_HOME%\lib\sigar-1.6.4.jar;%APP_HOME%\lib\slf4j-simple-1.7.25.jar;%APP_HOME%\lib\stagemonitor-configuration-0.87.8.jar;%APP_HOME%\lib\metrics-graphite-3.2.4.jar;%APP_HOME%\lib\metrics-json-3.2.4.jar;%APP_HOME%\lib\metrics-core-3.2.4.jar;%APP_HOME%\lib\metrics-annotation-3.2.4.jar;%APP_HOME%\lib\metrics-healthchecks-3.2.4.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\jackson-module-afterburner-2.9.0.jar;%APP_HOME%\lib\jackson-databind-2.9.0.jar;%APP_HOME%\lib\byte-buddy-1.7.9.jar;%APP_HOME%\lib\byte-buddy-agent-1.7.9.jar;%APP_HOME%\lib\simpleclient-0.0.26.jar;%APP_HOME%\lib\stagemonitor-dispatcher-0.87.8.jar;%APP_HOME%\lib\log4j-1.2.15.jar;%APP_HOME%\lib\jackson-core-2.9.0.jar;%APP_HOME%\lib\jackson-annotations-2.9.0.jar

@rem Execute stagemonitor-os
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %STAGEMONITOR_OS_OPTS%  -classpath "%CLASSPATH%" org.stagemonitor.os.OsPlugin %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable STAGEMONITOR_OS_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%STAGEMONITOR_OS_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
